The Spring Framework

## org.springframework.core
Class NamedInheritableThreadLocal

    java.lang.Object
      java.lang.ThreadLocal<T>
          java.lang.InheritableThreadLocal
              org.springframework.core.NamedInheritableThreadLocal

    public class NamedInheritableThreadLocal

extends InheritableThreadLocal

`InheritableThreadLocal` subclass that exposes a specified name as `toString()` result (allowing for introspection).

Since:
  2.5.2
Author:
  Juergen Hoeller
See Also:
  `NamedThreadLocal`

Constructor Summary
`NamedInheritableThreadLocal(String name)` Create a new NamedInheritableThreadLocal with the given name.

Method Summary
`String` `toString()`

Methods inherited from class java.lang.InheritableThreadLocal
`childValue`

Methods inherited from class java.lang.ThreadLocal
`get, initialValue, remove, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedInheritableThreadLocal

    public NamedInheritableThreadLocal(String name)

  Create a new NamedInheritableThreadLocal with the given name.

  Parameters:
    `name` - a descriptive name for this ThreadLocal

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.